import '../../../../core/errors/result.dart';
import '../repositories/profile_repository.dart';
import '../entities/profile.dart';

class GetProfileUseCase {
  final ProfileRepository _repository;

  GetProfileUseCase(this._repository);

  Future<Result<Profile>> execute(String userId) {
    return _repository.getProfile(userId);
  }
}
